/*
 * Copyright (c) 2000-2004, Intel Corporation All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Intel Corporation nor the names of its contributors
 * may be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package com.pallas.unicore.client.plugins.script;

/**
 * Strings for script plugin
 * 
 * @version $Id: ResourceStrings.java,v 1.1 2004/05/25 14:58:54 rmenday Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {

	final static Object[][] contents = new String[][]{
			{"MISSING_TYPE", "Missing entry for script type!"},
			{"MISSING_CONTENTS", "No script has been specified"},
			{"SYSTEM_DEFAULTS",
					"Loading script plugin defaults failed, generating system defaults!"},
			{"COULD_NOT_WRITE",
					"Could not write defaults for script plugin to file"},
			{"COULD_NOT_READ",
					"Could not read the following property from script defaults file: "},
			{"WRONT_INT",
					"Invalid integer format in script default file for property:\n"},
			{"DIR_TITLE", "UNICORE: Select Script Directory"},
			{"DEFAULTS_TITLE", "UNICORE: Script Plugin Defaults"},
			{"ENTER_VALUES", "Enter default values for UNICORE script plugin"},
			{"SUCCESS", "Successfully saved script plugin defaults."},
			{"SCRIPT_DIR", "Script Directory: "},
			{"SCRIPT_TYPE", "Select default script type"},
			{"SCRIPT_FONT", "Select default editor font"},
			{"TYPE_LABEL", "Script Type: "},
			{"FONT_LABEL", "Editor Font: "},
			{"STORE_AND_CLOSE",
					"Store current settings as defaults to file and close dialog"},
			{"STORE_TIP", "Save current settings as defaults to file"},
			{"CLOSE_TIP", "Close dialog and dismiss changes"},
			{"SELECT", "Select"},
			{"ENTER_ID", "Enter identifier for this script"},
			{"CHOOSE_TYPE", "Choose the script type here"},
			{"CHOOSE_NAME",
					"Script file name within your local or remote directory"},
			{"LOAD_LOCAL", "Load Local"},
			{"LOAD_TIP",
					"Use this button to load a script file from your local file system"},
			{"SAVE", "Save"},
			{
					"SAVE_TIP",
					"Use this button to save a script file under the previous name to "
							+ "your local file system"},
			{"SAVE_AS", "Save As"},
			{
					"SAVE_AS_TIP",
					"Use this button to save a script file under a new name to your local "
							+ "file system"},
			{"EDIT", "Edit Resources"},
			{"BROWSE", "Browse"},
			{"BROWSE_TIP",
					"Use this button to browse a script file in the remote file system"},
			{"EDIT_TIP", "Edit script to be executed here. "},
			{"SCRIPT_BORDER", "Script"}, {"SCRIPT_TITLE", "Script Editor"},
			{"OPTIONS", "Options"}, {"IMPORTS", "File Imports"},
			{"EXPORTS", "File Exports"}, {"EXECUTE_BORDER", "Execute Script"},
			{"LOAD_TITLE", "UNICORE: Load local script"},
			{"LOADING_FAILED", "Loading script failed: "},
			{"SAVE_TITLE", "UNICORE: Save local script"},
			{"SAVE_FAILED", "Saving script failed: "},
			{"PLUGIN_INFO", "Execute Script Plugin\n(C)2000-2004 Intel"},
			{"ADD_ITEM", "Add Script"}, {"DEFAULT_ITEM", "Script Defaults"},
			{"INITIAL_NAME", "New_Script"},
			{"SCRIPT_TYPE_NOT_AVAILABLE", " is not available on this vsite!"}};

	public Object[][] getContents() {
		return contents;
	}
}