/*
 * Copyright (c) 2000-2004, Intel Corporation All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * (1) Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer at the end. Redistributions in
 * binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other
 * materials provided with the distribution.
 * 
 * (2) Neither the name of Intel Corporation nor the names of its contributors
 * may be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
package com.pallas.unicore.client.trees;

/**
 * Strings for tree classes
 * 
 * @version $Id: ResourceStrings.java,v 1.1 2004/05/25 14:58:50 rmenday Exp $
 */
public class ResourceStrings extends java.util.ListResourceBundle {

	final static Object[][] contents = new String[][]{
			{
					"NO_CERT_AVAILABLE",
					"Please import a user certificate into your keystore first!\n"
							+ "Select Settings->Keystore Editor."},
			{"JMC", "Job Monitoring"},
			{"CONFIRM_DELETE", "Do you really want to delete the job\n"},
			{"AT_VSITE", "\n at virtual site "},
			{"DELETE_TITLE", "UNICORE: Delete Job"},
			{"REFRESH", "Refresh"},
			{"REFRESH_TIP", "Get job status from site"},
			{"FETCH_OUTPUT", "Fetch Output"},
			{"FETCH_OUTPUT_TIP", "Get output files from site"},
			{"DELETE", "Delete Job"},
			{"DELETE_TIP",
					"Remove job from site. Only allowed if job is not running."},
			{"INTERRUPT", "Stop Refresh"},
			{"INTERRUPT_TIP", "Stop refreshing of tree node"},
			{"ABORT", "Abort job"},
			{"ABORT_TIP", "Abort job execution at site"},
			{"HOLD", "Hold job"},
			{"HOLD_TIP", "Hold job execution at site"},
			{"RESUME", "Resume job"},
			{"RESUME_TIP", "Resume execution of held job"},
			{"CANNOT_DELETE", "Cannot delete the job:\n"},
			{"CANNOT_CONTROL", "Cannot perform control action:\n"},
			{"JPA", "Job Preparation"},
			{"INITIAL_JOB", "New_Job"},
			{"INITIAL_SUB_JOB", "New_Sub_Job"},
			{"INITIAL_IMPORT", "New_Import"},
			{"INITIAL_EXPORT", "New_Export"},
			{"INITIAL_TRANSFER", "New_Transfer"},
			{"INITIAL_FILEOP", "New_File_Op"},
			{"CONFIRM REMOVE",
					"This node contains unsaved modifications.\nRemove it anyway?"},
			{"REMOVE_TITLE", "UNICORE: Confirm Remove"},
			{"COULD_NOT_LOAD", "Could not load task of unknown type: \n"},
			{"FROM_JOB", "\nfrom job group!"}, {"YES_STRING", "Yes"},
			{"NO_STRING", "No"}, {"ALL_STRING", "All"},
			{"DOWNLOAD_1", "Download "},
			{"DOWNLOAD_2", " exists.\nDownload anyway?"},
			{"FILE_EXISTS", "File Exists"}};

	public Object[][] getContents() {
		return contents;
	}
}