package org.unicore.ajo;

import java.util.Enumeration;

/**
 * The size of <code>double</code> variables in Fortran
 * code.  
 *
 * @see FortranTask#getDoubleLength
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 1
 *
 * @version DoubleLength.java 1.4 05/13/02 
 *
 **/
public final class DoubleLength extends Enum {

    static final long serialVersionUID = 5543144786269887593L;

    /**
     * Do not care
     *
     **/
    public final static DoubleLength DONTCARE = new DoubleLength(0,"Don't care");

    /**
     * Eight bytes
     *
     **/
    public final static DoubleLength EIGHT = new DoubleLength(1,"Eight bytes");

    /**
     * Sixteen bytes
     *
     **/
    public final static DoubleLength SIXTEEN = new DoubleLength(2,"Sixteen bytes");

    /**
     * Constructor for this Class.
     *
     **/
    private DoubleLength(int aValue, String aName) {
        super(aValue,aName);
    }

    /**
     * Return a enumeration over the instances of DoubleLength
     *
     **/
    public static Enumeration elements() {
        return Enum.elements( DONTCARE.getClass() );
    }

}
//
// Change history:
//           5 May 2000 SvdB  V3.0 
//           7 Dec 1998 SvdB  Second release to Unicore 
//           1 Oct 1998 SvdB  Changed values to indexes (their point) 
//          12 Jun 1998 SvdB  Initial release to Unicore 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
