package org.unicore.ajo;

import java.util.Enumeration;

/**
 * The possible values of the Fortran source code form.
 *
 * @see FortranTask
 * 
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 1
 *
 * @version FortranSourceForm.java 1.4 05/13/02 
 *
 **/
public final class FortranSourceForm extends Enum {

    static final long serialVersionUID = 8662895581614972487L;

    /**
     * Fixed 
     *
     **/
    public final static FortranSourceForm FIXED = new FortranSourceForm(0,"Fixed");

    /**
     * Free
     *
     **/
    public final static FortranSourceForm FREE  = new FortranSourceForm(1,"Free");

    /**
     * Constructor for this Class.
     *
     * @param aValue The value for this instance.
     * @param aName The name for this instance.
     *
     **/
    private FortranSourceForm(int aValue, String aName) {
        super(aValue,aName);
    }

    /**
     * Return a enumeration over the instances of FortranSourceForm
     *
     * @return The enumeration
     *
     **/
    public static Enumeration elements() {
        return Enum.elements( FIXED.getClass() );
    }

}
//
// Chanhe history:
//           5 May 2000 SvdB V3.0 
//           7 Dec 1998 SvdB Second release to Unicore 
//           1 Oct 1998 SvdB Changed values to indexes (their point) 
//          24 Feb 1998 SvdB created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
