package org.unicore.ajo;

/**
 * Fetch a description of the resources supported by the Vsite.
 * 
 * @see org.unicore.outcome.GetResourceDescription_Outcome
 * @see AbstractTask#setResources
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 2.9
 *
 * @version GetResourceDescription.java 1.5 09/09/02 
 *
 **/
public final class GetResourceDescription extends QueryService {

    static final long serialVersionUID = 3334878006903475739L;

    /**
     * Create a new GetResourceDescription.
     * <p>
     * @param name The name of the GetResourceDescription
     * @param extra_information Client supplied extra information about the GetResourceDescription
     *
     **/
    public GetResourceDescription( String name, byte[] extra_information) {
        super(name,extra_information);
    }

    /**
     * Create a new GetResourceDescription.
     * <p>
     * @param name The name of the GetResourceDescription
     *
     **/
    public GetResourceDescription(String name) {
        super(name,(byte[]) null);
    }

    public GetResourceDescription() {
        this("");
    }

}
//
// Change history:
//          18 Mar 2002 SvdB V4 no arg constructor
//           5 May 2000 SvdB V3.0 
//           4 Feb 2000 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
