package org.unicore.ajo;

import java.util.Enumeration;

/**
 * The length to use for Fortran variables declared using "integer".
 *
 * @see FortranTask#getIntegerLength
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 1
 *
 * @version IntegerLength.java 1.4 05/13/02 
 *
 **/
 
public final class IntegerLength extends Enum {

    static final long serialVersionUID = -4232366537024810091L;

    /**
     * Do not care
     *
     **/
    public final static IntegerLength DONTCARE = new IntegerLength(0,"Don't care");

    /**
     * Four bytes
     *
     **/
    public final static IntegerLength FOUR = new IntegerLength(1,"Four bytes");

    /**
     * Eight bytes
     *
     **/
    public final static IntegerLength EIGHT = new IntegerLength(2,"Eight bytes");

    /**
     * Constructor for this Class.
     *
     **/
    private IntegerLength(int aValue, String aName) {
        super(aValue,aName);
    }

    /**
     * Return a enumeration over the instances of IntegerLength
     *
     **/
    public static Enumeration elements() {
        return Enum.elements( DONTCARE.getClass() );
    }

}
//
// Change history:
//           5 May 2000 SvdB V3.0 
//           7 Dec 1998 SvdB Second release to Unicore 
//           1 Oct 1998 SvdB Changed values to indexes (their point) 
//          12 Jun 1998 SvdB Initial release to Unicore 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
