package org.unicore.ajo;

import org.unicore.Unicore;

import java.util.Enumeration;

/**
 * These are all the relational operators used by If and RepeatGroup actions.
 *
 * @see Expression
 * @see If
 * @see RepeatGroup
 *
 * @author David F Snelling (fecit)
 *
 * @since AJO 3.2
 *
 * @version Relations.java 1.3 05/13/02
 *
 **/
 
public final class Relations extends Enum {

    static final long serialVersionUID = -7695783076222225435L;

    /**
     * Equal
     *
     **/
    public final static Relations EQ = new Relations(0,"Equal");

    /**
     * Not Equal
     *
     **/
    public final static Relations NE = new Relations(1,"Mot Equal");

    /**
     * Less Than
     *
     **/
    public final static Relations LT = new Relations(2,"Less Than");

    /**
     * Greater Than
     *
     **/
    public final static Relations GT = new Relations(3,"Greater Than");

    /**
     * Less Than or Equal
     *
     **/
    public final static Relations LE = new Relations(4,"Less Than or Equal");

    /**
     * Greater Than or Equal
     *
     **/
    public final static Relations GE = new Relations(5,"Greater Than or Equal");


    /**
     * Constructor for this Class.
     *
     **/
    private Relations(int aValue, String aName) {
        super(aValue,aName);
    }

    /**
     * Return a enumeration over the instances of Realtions
     *
     **/
    public static Enumeration elements() {
        return Enum.elements( EQ.getClass() );
    }

}
//
// Change history:
//                  31 Jan 2001  DFS Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
