package org.unicore.outcome;

import org.unicore.ajo.CopyFile;

/**
 * The status and logs of executing a {@link org.unicore.ajo.CopyFile}.
 * <p>
 * This task copies a file from one location to another on the
 * Vsite and so the Outcome reports only on the success or
 * failure of this file copy.
 *
 * @see org.unicore.ajo.CopyFile
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version CopyFile_Outcome.java 1.6 05/13/02 
 * 
 **/
public class CopyFile_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = -2664564902693717241L;

    public CopyFile_Outcome() {
        this(null, null);
    }

    /**
     * Create a new CopyFile_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}.
     *
     * @param source The CopyFile for which this Outcome will hold the results.
     * @param initial The status of the CopyFile at the time that the Outcome is created.
     *
     **/
    public CopyFile_Outcome(CopyFile source, AbstractActionStatus initial) {
        super(source, initial);
    }

}
//
// Change history:
//          18 Mar 2002 SvdB V4 no arg constructor
//          26 Jun 2000 SvdB Renamed from Copy
//           5 May 2000 SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
