package org.unicore.outcome;

import org.unicore.ajo.CreateDirectory;

/**
 * The status and logs of executing a {@link org.unicore.ajo.CreateDirectory}.
 * <p>
 * This task creates a directory on a 
 * Vsite and so the Outcome reports only on the success or
 * failure of the directory creation.
 *
 * @see org.unicore.ajo.CreateDirectory
 *
 * @author S. van den Berghe (fecit)
 * 
 * @since AJO 3
 *
 * @version CreateDirectory_Outcome.java 1.5 05/13/02 
 * 
 **/
public class CreateDirectory_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = -2120051704939703213L;

    public CreateDirectory_Outcome() {
        this(null,null);
    }

    /**
     * Create a new CreateDirectory_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}.
     *
     * @param source The CreateDirectory for which this Outcome will hold the results.
     * @param initial The status of the CreateDirectory at the time that the Outcome is created.
     *
     **/
    public CreateDirectory_Outcome(CreateDirectory source, AbstractActionStatus initial) {
        super(source, initial);
    }

}
//
// Change history:
//          18 Mar 2002 SvdB V4 no arg constructor
//           5 May 2000 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
