package org.unicore.outcome;

import org.unicore.ajo.DeletePortfolio;

/**
 * The status and logs of executing a {@link org.unicore.ajo.DeletePortfolio}.
 * <p>
 * This Outcome reports only on the execution of the DeletePortfolio
 * as there is no data to return to the user.
 *
 * @see org.unicore.ajo.DeletePortfolio
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version DeletePortfolio_Outcome.java 1.1 05/13/02 
 * 
 **/
public class DeletePortfolio_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = 0;

    public DeletePortfolio_Outcome() {
        this(null,null);
    }

    /**
     * Create a new DeletePortfolio_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}.
     *
     * @param source The DeletePortfolio for which this Outcome will hold the results.
     * @param initial The status of the DeletePortfolio at the time that the Outcome is created.
     *
     **/
    public DeletePortfolio_Outcome(DeletePortfolio source, AbstractActionStatus initial) {
        super(source, initial);
    }

}
//
// Change history;
//          22 Apr 2002 SvdB Created  
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
