package org.unicore.outcome;

import org.unicore.ajo.FortranTask;

/**
 * The status and logs of executing a {@link org.unicore.ajo.FortranTask}.
 * <p>
 * The files used and created by the compilation,
 * including any listings files, remain in the Upsace.
 * The returned results are about the process of executing
 * the task which may include the stdout and stderr files.
 *
 * @see org.unicore.ajo.FortranTask
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 2
 *
 * @version FortranTask_Outcome.java 1.6 09/09/02 
 * 
 **/
public class FortranTask_Outcome extends ExecuteTask_Outcome {

    static final long serialVersionUID = 8385404870827776921L;

    public FortranTask_Outcome() {
        this(null,null);
    }

    /**
     * Create a new FortranTask_Outcome.
     * <p>
     * This will hold the information from {@link ExecuteTask_Outcome}.
     *
     * @param source The FortranTask for which this Outcome will hold the results.
     * @param initial The status of the FortranTask at the time that the Outcome is created.
     *
     **/
    public FortranTask_Outcome(FortranTask source,
                               AbstractActionStatus initial_status) {
        super(source, initial_status);
    }
    
}
//
// Change history:
//          18 Mar 2002 SvdB V4 no arg constructor
//           5 May 2000 SvdB V3.0 
//           7 Dec 1998 SvdB Second release to Unicore 
//           6 Nov 1998 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
