package org.unicore.outcome;

import org.unicore.ajo.UserTask;

/**
 * The results of executing a {@link org.unicore.ajo.UserTask}.
 *
 * @see org.unicore.ajo.UserTask
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 2
 *
 * @version UserTask_Outcome.java 1.6 05/13/02 
 * 
 **/

public class UserTask_Outcome extends ExecuteTask_Outcome  {

    static final long serialVersionUID = 0;

    public UserTask_Outcome() {
        this(null,null);
    }

    /**
     * Create a new UserTask_Outcome.
     * <p>
     * This will hold the information from {@link ExecuteTask_Outcome}
     * plus the return value of the executed executable.
     *
     * @param source The UserTask for which this Outcome will hold the results.
     * @param initial The status of the UserTask at the time that the Outcome is created.
     *
     **/
    public UserTask_Outcome(UserTask source, AbstractActionStatus initial) {
        super(source, initial);
    }

}
//
// Change history:
//          15 Apr 2002 SvdB Moved reason to ExecuteTask_Outcome
//          18 Mar 2002 SvdB v4 no arg constructor
//           5 May 2000 SvdB V3.0 added result code field 
//           7 Dec 1998 SvdB Second release to Unicore 
//           6 Nov 1998 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
