package org.unicore.resources;

/**
 * Describes a capability of a Vsite.
 * <p>
 * The absence of a capability resource in in a Respurce Description
 * from a Vsite indicates that that capability is not supported. 
 * <p>
 * The absence of a capability resource in Resource Request
 * indicates that the user does not need or does not care about the
 * resource.
 *
 * @author D. Snelling (fecit)
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 3
 *
 * @version CapabilityResource.java 1.11 09/09/02 
 *
 **/
public abstract class CapabilityResource extends Resource {

    static final long serialVersionUID = 733556131100229924L;

    protected CapabilityResource () {
        this ("");
    }

    /**
     * Create a CapabilityResource with the given description.
     *
     **/
    protected CapabilityResource (String description) {
        super (description);
    }

}
//
// Change history:
//         15 Mar 2002 SvdB V4, no arg constructor
//         21 Jan 2000 DFS First release with V3.0 resource model. 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
//
//     This software was developed as part of the UNICORE and UNICORE Plus
//     Seamless Computing Projects and the authors gratefully acknowledge the 
//     efforts of all our partners.
